%% Simulation plot
close all
frame = 1; 
%figure('units','pixels','position',[0 0 1920 1080])
figure(13)
    for i=1:50:length(eta(:,1))
        R0 = [cos(eta(i,3)) -sin(eta(i,3)); 
           sin(eta(i,3))  cos(eta(i,3))];
        ship = R0*[6*L/9 4*L/9 -5*L/9 -5*L/9 4*L/9 6*L/9; 0 1.2*L/9 1.2*L/9 -1.2*L/9 -1.2*L/9 -0*L/9];
        s = plot(eta(i,2)+ship(2,:), eta(i,1)+ship(1,:),'k');
        b = 0.075;
        b = 0.2;
        l = 1.5;
        x = eta_end(1);
        y = eta_end(2);        
        p = patch([y-b/2 y-b/2 y y y-b/2],...
                  [x-l/2 x+l/2 x+l/2 x-l/2 x-l/2], [0 0 .5]);
        rotate(p, [0 0 1], rad2deg(eta_end(3)), [y x 0]);
        hold on
        WP_plot = plot(y_wp(1,:),x_wp(1,:),'r*');%Color','#7E2F8E','Marker','*');
        desired = plot(q_d(:,2),q_d(:,1),'r');
        real = plot(eta(1:i,2),eta(1:i,1),'b');
            if i*h>=t_ph2(end)
                sens1 = plot([d1_pos(i,2),int1(i,2)],[d1_pos(i,1),int1(i,1)],'Color','k','Linestyle','-.');
                sens2 = plot([d2_pos(i,2),int2(i,2)],[d2_pos(i,1),int2(i,1)],'Color','k','Linestyle','-.');
                plot(eta_d(1:i,2),eta_d(1:i,1),'r');
                if danger(i) == 1
                    obj = patch([-3,-3,-2.9,-2.9,-3],[1.4,2,2,1.4,1.4],'red');
                else
                    obj = patch([10 10 9 9 10],[15 15 14 14 15],'red');
                end
            else
                sens1 = plot(0,0,'Color','k','Linestyle','-.');
                obj = patch([10 10 9 9 10],[15 15 14 14 15],'red');
            end
            phase1_d = plot(q_d(i,2),q_d(i,1),'ko','LineWidth',1.5,...
                                'MarkerEdgeColor','k',...
                                'MarkerFaceColor','k',...
                                'MarkerSize',1.5);
            tot_d = plot(eta_d(i,2),eta_d(i,1),'ro','LineWidth',1.5,...
                                'MarkerEdgeColor','r',...
                                'MarkerFaceColor','r',...
                                'MarkerSize',1.5);
            % tot_d = plot(eta_d(i,2),eta_d(i,1),'r.');
   
        hold off
        axis equal
        xlim([-5 3])    % All other cases 
%         xlim([-5 5])    % Case 3
        ylim([1 7.5])
        x_label = xlabel('East [m]','FontSize',11);
        y_label = ylabel('North [m]','FontSize',11);
        x_label.Interpreter = 'latex';
        y_label.Interpreter = 'latex';
        set(gca,'FontSize',11);
        h_legend=legend([WP_plot,phase1_d,tot_d,desired,real,sens1,obj],'WPs','${p_{d_1}}(t)$','${p_{d}}(t)$','Reference path','Actual path','$d_1$ and $d_2$','Obstacle');
        set(h_legend,'Orientation','vertical','location','east','FontSize',...
             11,'Color','None','Interpreter','latex'); % All other cases
        %set(h_legend,'Orientation','vertical','location','northwest','FontSize',...
            %11,'Color','None','Interpreter','latex');   % Case 3
        grid on
        set(gca,'TickLabelInterpreter','latex')
         t=text(1.05,5.65,['Timer: ',num2str(floor(i*h)),'s'],'FontSize',11);   % All other cases
        %t=text(-4.75,4.50,['Timer: ',num2str(floor(i*h)),'s'],'FontSize',11);   % Case 3
        t.Interpreter='latex';
        frames(frame) = getframe(figure(13));
        frame = frame+1;
    end
%     hold on
%     plot(eta(:,2),eta(:,1))
    % Make movie and write video file
%    movie(figure(13), frames);
    video = VideoWriter('animation','MPEG-4');
    video.Quality = 95;
    video.FrameRate = 15;
    open(video)
    writeVideo(video,frames);
    close(video)
