t = tiledlayout(1,1);
h_title=title(t,'Estimated position and heading','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
hold on
plot(eta_hat(:,2),eta_hat(:,1))
for n=1:1:length(x_wp(1,:))
plot(y_wp(1,n),x_wp(1,n),'r*')
end
b = 0.2;
l = 1.5;
x = eta_end(1);
y = eta_end(2);
patch([-4.77,-4.77,-3,-3],[min(x_wp(1,:))-1.25,max(x_wp(1,:))+1.25,max(x_wp(1,:))+1.25,min(x_wp(1,:))-1.25],[0.75, 0.75, 0.75])
p = patch([y-b/2 y-b/2 y y y-b/2],...
    [x-l/2 x+l/2 x+l/2 x-l/2 x-l/2], [0 0 .5]);
rotate(p, [0 0 1], rad2deg(eta_end(3)), [y x 0])
for i = 1:3000:length(eta_hat(:,1))  % Plot vessel
    L=0.9;
    R0 = [cos(eta_hat(i,3)) -sin(eta_hat(i,3)); 
          sin(eta_hat(i,3))  cos(eta_hat(i,3))];
    ship = R0*[6*L/9 4*L/9 -5*L/9 -5*L/9 4*L/9 6*L/9; 0 1.2*L/9 1.2*L/9 -1.2*L/9 -1.2*L/9 -0*L/9];
    if i<t_dang(1)/h
    plot(eta_hat(i,2)+ship(2,:), eta_hat(i,1)+ship(1,:),'k')
    elseif i>=t_dang(1)/h && i<t_dang(2)/h
    plot(eta_hat(i,2)+ship(2,:), eta_hat(i,1)+ship(1,:),'r')
    else
    plot(eta_hat(i,2)+ship(2,:), eta_hat(i,1)+ship(1,:),'k')
    end
end
xlim([min(y_wp(1,:))-1.25, max(y_wp(1,:))+1.25])
ylim([min(x_wp(1,:))-1.25, max(x_wp(1,:))+1.25])
%h_title = title('Position and heading measurements from observer, $\hat{\eta}$','FontSize',11);
x_label = xlabel('East [m]','FontSize',11);
y_label = ylabel('North [m]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
h_title.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\hat{p}$', 'WP');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
axis equal
grid on
box on
set(gca,'TickLabelInterpreter','latex')