t = tiledlayout(3,1);
h_title=title(t,'Desired versus estimated position and heading','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
plot(0:h:sim_time,eta_d(:,1))
hold on
plot(0:h:sim_time,eta_hat(:,1))
y_label = ylabel('$x$ [m]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$x_d$','$\hat{x}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on 
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,eta_d(:,2))
hold on
plot(0:h:sim_time,eta_hat(:,2))
y_label = ylabel('$y$ [m]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$y_d$','$\hat{y}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])


eta_d_psi_plot = zeros(length(eta_d(:,3)),1);
for i = 1:length(eta_d_psi_plot)
    if eta_d(i,3) > 0
        eta_d_psi_plot(i) = eta_d(i,3) - 2*pi;
    else
        eta_d_psi_plot(i) = eta_d(i,3);
    end
end
nexttile
plot(0:h:sim_time,eta_d_psi_plot*180/pi)
hold on
plot(0:h:sim_time,eta_hat(:,3)*180/pi)
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('$\psi$ [deg]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\psi_d$','$\hat{\psi}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
set(gca,'TickLabelInterpreter','latex')

