t = tiledlayout(3,1);
h_title=title(t,'Desired versus true forces and moment','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
plot(0:h:sim_time,tau_d(:,1))
hold on
plot(0:h:sim_time,tau_thrdyn(:,1))
y_label = ylabel('$X$ [N]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$X_d$','$X$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on 
% ylim([min(tau_thrdyn(:,1)),max(tau_thrdyn(:,1))])
ylim([-0.25,0.25])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,tau_d(:,2))
hold on
plot(0:h:sim_time,tau_thrdyn(:,2))
y_label = ylabel('$Y$ [N]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$Y_d$','$Y$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
% ylim([min(tau_thrdyn(:,2)),max(tau_thrdyn(:,2))])
ylim([-0.45,0.45])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,tau_d(:,3))
hold on
plot(0:h:sim_time,tau_thrdyn(:,3))
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('$N$ [Nm]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$N_d$','$N$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
% ylim([min(tau_thrdyn(:,3)),max(tau_thrdyn(:,3))])
ylim([-0.085,0.085])
set(gca,'TickLabelInterpreter','latex')

