t = tiledlayout(3,1);
h_title=title(t,'Estimated bias','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
b1=plot(0:h:sim_time,b_hat(:,1));
ay = ancestor(b1(1), 'axes');
ay.YAxis.Exponent = 0;
ytickformat('%.2f')
y_label = ylabel('$b_X$ [N]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\hat{b}_X$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
% h_title=title('Whole operation','FontSize',11);
% h_title.Interpreter = 'latex';
grid on 
xlim([0,sim_time])
ylim([min(b_hat(:,1))-0.01,max(b_hat(:,1))+0.01])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
b2=plot(0:h:sim_time,b_hat(:,2));
ay = ancestor(b2(1), 'axes');
ay.YAxis.Exponent = 0;
ytickformat('%.2f')
y_label = ylabel('$b_Y$ [N]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\hat{b}_Y$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
xlim([0,sim_time])
ylim([min(b_hat(:,2))-0.02,max(b_hat(:,2))+0.015])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
b3=plot(0:h:sim_time,b_hat(:,3));
ay = ancestor(b3(1), 'axes');
ay.YAxis.Exponent = 0;
ytickformat('%.2f')
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('$b_N$ [Nm]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\hat{b}_N$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
xlim([0,sim_time])
ylim([min(b_hat(:,3))-0.0075,max(b_hat(:,3))+0.01])
set(gca,'TickLabelInterpreter','latex')