t = tiledlayout(3,1);
h_title=title(t,'Measured versus estimated position and heading - zoomed in','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
plot(0:h:sim_time,eta_noise(:,1))
hold on
plot(0:h:sim_time,eta_hat(:,1))
y_label = ylabel('$x$ [m]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$x_m$','$\hat{x}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
ylim([min(eta_noise((200/h:220/h),1))-0.01,max(eta_noise((200/h:220/h),1))+0.005])
grid on 
xlim([200,220])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,eta_noise(:,2))
hold on
plot(0:h:sim_time,eta_hat(:,2))
y_label = ylabel('$y$ [m]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$y_m$','$\hat{y}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
xlim([200,220])
ylim([min(eta_noise((200/h:220/h),2))-0.01,max(eta_noise((200/h:220/h),2))+0.01])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,eta_noise(:,3)*180/pi)
hold on
plot(0:h:sim_time,eta_hat(:,3)*180/pi)
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('$\psi$ [deg]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$\psi_m$','$\hat{\psi}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
xlim([200,220])
ylim([min(eta_noise((200/h:220/h),3))*180/pi-1,max(eta_noise((200/h:220/h),3))*180/pi+1])
grid on
set(gca,'TickLabelInterpreter','latex')

